# $Revision: 1.53 $, $Date: 2003/09/06 15:13:41 $
#
# Conditional build:
# _with_java	- build with java support
#
Summary:	BSD database library for C
Summary(pl):	Biblioteka C do obsugi baz Berkeley DB
Name:		db3
Version:	3.1.17
Release:	13
License:	BSD
Group:		Libraries
# alternative site (sometimes working): http://www.berkeleydb.com/
Source0:	http://www.sleepycat.com/update/snapshot/db-%{version}.tar.gz
# Source0-md5:	5baeb94fb934d0bf783ea42117c400be
Source1:	%{name}.jar
# Source1-md5:	0d15818dea3099eed42b4be9950c69ad
Patch0:		%{name}-static.patch
Patch1:		%{name}-linux.patch
Patch2:		%{name}-jbj.patch
URL:		http://www.sleepycat.com/
BuildRequires:	db1-static
BuildRequires:	glibc-static
BuildRequires:	sed
BuildRequires:	tcl-devel >= 8.3.4-10
%{?_with_java:BuildRequires:	java}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB is used by many applications,
including Python and Perl, so this should be installed on all systems.

%description -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley db jest uywana wielu aplikacjach, w tym w
Pythonie i Perlu.

%package utils
Summary:	Command line tools for managing Berkeley DB databases
Summary(pl):	Narzdzia do obsugi baz Berkeley DB z linii polece
Group:		Applications/Databases
Requires:	%{name} = %{version}

%description utils
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains command line tools for managing Berkeley DB
databases.

%description utils -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsugje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu,
transakcje, kroniki, pami dzielon i odtwarzanie baz. Ma wsparcie
dla C, C++, Javy i Perla.

Ten pakiet zawiera narzdzia do obsugi baz Berkeley DB z linii
polece.

%package tcl
Summary:	Berkeley database library for TCL
Summary(pl):	Biblioteka baz danych Berkeley dla TCL
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}
Requires:	tcl

%description tcl
Berkeley database library for TCL.

%description tcl -l pl
Biblioteka baz danych Berkeley dla TCL.

%package java
Summary:	Java Berkeley database library
Summary(pl):	Biblioteki Berkeley Database dla Javy
Group:		Development/Languages/Java
Requires:	%{name} = %{version}

%description java
Java Berkeley database library.

%description java -l pl
Biblioteki Berkeley Database dla Javy.

%package devel
Summary:	Header files for Berkeley database library
Summary(pl):	Pliki nagwkowe do biblioteki Berkeley Database
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains the header files, libraries, and documentation
for building programs which use Berkeley DB.

%description devel -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsugje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu,
transakcje, kroniki, pami dzielon i odtwarzanie baz. Ma wsparcie
dla C, C++, Javy i Perla.

Ten pakiet zawiera pliki nagwkowe i dokumentacj do budowania
programw uywajcych Berkeley DB.

%package static
Summary:	Static libraries for Berkeley database library
Summary(pl):	Statyczne biblioteki Berkeley Database
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. Berkeley DB includes B+tree, Extended
Linear Hashing, Fixed and Variable-length record access methods,
transactions, locking, logging, shared memory caching and database
recovery. DB supports C, C++, Java and Perl APIs.

This package contains the static libraries for building programs which
use Berkeley DB.

%description static -l pl
Berkeley Database (Berkeley DB) to zestaw narzdzi programistycznych
zapewniajcych obsug baz danych w aplikacjach tradycyjnych jak i
klient-serwer. Berkeley DB obsugje dostp do bazy przez B-drzewa i
funkcje mieszajce ze sta lub zmienn wielkoci rekordu,
transakcje, kroniki, pami dzielon i odtwarzanie baz. Ma wsparcie
dla C, C++, Javy i Perla.

Ten pakiet zawiera statyczne biblioteki do budowania programw
uywajcych Berkeley DB.

%prep
%setup -q -n db-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -a build_unix build_unix.static

cd build_unix.static

CFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
../dist/configure \
	--prefix=%{_prefix} \
	--enable-compat185 \
	--enable-dump185 \
	--disable-shared \
	--enable-static \
	--enable-rpc \
	--enable-cxx

%{__make} static db_dump185

cd ../build_unix

CFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-implicit-templates" \

%if %{?_with_java:1}%{!?_with_java:0}
../dist/configure \
	--prefix=%{_prefix} \
	--enable-compat185 \
	--enable-shared \
	--disable-static \
	--enable-rpc \
	--enable-cxx \
	--enable-tcl \
	--enable-java
%else
../dist/configure \
	--prefix=%{_prefix} \
	--enable-compat185 \
	--enable-shared \
	--disable-static \
	--enable-rpc \
	--enable-cxx \
	--enable-tcl
%endif

%{__make} TCFLAGS='-I$(builddir) -I%{_includedir}'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_bindir},/lib}

cd build_unix.static

%{__make} prefix=$RPM_BUILD_ROOT%{_prefix} \
	install_static \
	install_static_cxx

install db_dump185 $RPM_BUILD_ROOT%{_bindir}

cd ../build_unix

%if %{?_with_java:1}%{!?_with_java:0}
%{__make} \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	install_include \
	install_dynamic \
	install_dynamic_cxx \
	install_tcl \
	install_utilities \
	install_java
%else
%{__make} \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	install_include \
	install_dynamic \
	install_dynamic_cxx \
	install_tcl \
	install_utilities
%endif

mv -f $RPM_BUILD_ROOT%{_libdir}/libdb-*.so $RPM_BUILD_ROOT/lib
ln -sf ../../lib/libdb-3.1.so $RPM_BUILD_ROOT%{_libdir}/libdb.so
ln -sf ../../lib/libdb-3.1.so $RPM_BUILD_ROOT%{_libdir}/libdb3.so
ln -sf ../../lib/libdb-3.1.so $RPM_BUILD_ROOT%{_libdir}/libdb-3.1.so
ln -sf libdb-3.1.a $RPM_BUILD_ROOT%{_libdir}/libdb3.a
ln -sf libdb-3.1.a $RPM_BUILD_ROOT%{_libdir}/libdb.a
ln -sf libdb3.so $RPM_BUILD_ROOT%{_libdir}/libndbm.so
ln -sf libdb3.a $RPM_BUILD_ROOT%{_libdir}/libndbm.a


OLDPWD=$(pwd); cd $RPM_BUILD_ROOT%{_libdir}/
for i in libdb*.la; do mv $i $i.old; done
sed -e "s/old_library=''/old_library='libdb-3.1.a'/" libdb-3.1.la.old > libdb-3.1.la
sed -e "s/old_library=''/old_library='libdb_cxx.a'/" libdb_cxx-3.1.la.old > libdb_cxx-3.1.la
rm -f libdb*.la.old
cd $OLDPWD

for i in $RPM_BUILD_ROOT%{_bindir}/db_* ; do
	mv -f $i `echo $i | sed -e 's,/db_,/db3_,'`
done

cd ../

# to remove stupid link:
rm -rf examples_java

%if %{?_with_java:1}%{!?_with_java:0}
cp -ra java/src/com/sleepycat/examples examples_java
install %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/db.jar
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   tcl -p /sbin/ldconfig
%postun tcl -p /sbin/ldconfig

%post   java -p /sbin/ldconfig
%postun java -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) /lib/libdb-*.so

%files utils
%defattr(644,root,root,755)
%doc docs/utility/*
%attr(755,root,root) %{_bindir}/berkeley_db_svc
%attr(755,root,root) %{_bindir}/db*_archive
%attr(755,root,root) %{_bindir}/db*_checkpoint
%attr(755,root,root) %{_bindir}/db*_deadlock
%attr(755,root,root) %{_bindir}/db*_dump
%attr(755,root,root) %{_bindir}/db*_dump185
%attr(755,root,root) %{_bindir}/db*_load
%attr(755,root,root) %{_bindir}/db*_printlog
%attr(755,root,root) %{_bindir}/db*_recover
%attr(755,root,root) %{_bindir}/db*_stat
%attr(755,root,root) %{_bindir}/db*_upgrade
%attr(755,root,root) %{_bindir}/db*_verify

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdb_tcl-*.so

%if %{?_with_java:1}%{!?_with_java:0}
%files java
%defattr(644,root,root,755)
%doc docs/api_java examples_java
%attr(755,root,root) %{_libdir}/libdb_java*.so
%{_libdir}/db.jar
%endif

%files devel
%defattr(644,root,root,755)
%doc docs/{api_cxx,api_c,ref,index.html,sleepycat,images} examples_{c,cxx}
%{_libdir}/libdb*.la
%attr(755,root,root) %{_libdir}/libdb.so
%attr(755,root,root) %{_libdir}/libdb3.so
%attr(755,root,root) %{_libdir}/libdb-3.1.so
%attr(755,root,root) %{_libdir}/libndbm.so
%attr(755,root,root) %{_libdir}/libdb_tcl.so
%attr(755,root,root) %{_libdir}/libdb_cxx*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: db3.spec,v $
Revision 1.53  2003/09/06 15:13:41  blues
- release 13

Revision 1.52  2003/08/30 21:36:46  qboosh
- ugh, License is BSD, not GPL

Revision 1.51  2003/06/11 13:17:45  ankry
- added md5

Revision 1.50  2003/05/26 16:24:52  malekith
- massive attack: adding Source-md5

Revision 1.49  2003/05/25 05:46:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.48  2003/04/07 17:42:46  kloczek
- release 12: spec simplified by remove not neccessary java conditions around
  package preamble and %post/%posun scripts.

Revision 1.47  2003/04/05 19:56:30  kloczek
- conditionaly include %post/%postun script for java subpackage.

Revision 1.46  2003/04/05 19:44:34  kloczek
- cosmetics.

Revision 1.45  2003/03/30 10:20:00  blues
- ldconfig call to java subpackage added

Revision 1.44  2003/03/30 10:17:42  blues
- blah - correct release is back

Revision 1.43  2003/03/30 10:07:24  blues
- typo

Revision 1.42  2003/03/30 09:59:38  blues
- added db.jar (needed for OpenOffice to build)

Revision 1.41  2003/03/28 15:24:56  blues
- release 11 - separated java subpackage. maybe it's time to rebuild after
  veeery long time since last release...

Revision 1.40  2003/01/07 11:19:55  qboosh
- URLs back to sleepycat.com - berkeleydb.com seems dead since long time

Revision 1.39  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.38  2002/10/10 13:20:36  marcus
- use new %%doc

Revision 1.37  2002/08/16 10:08:10  ggodlewski
- added java

Revision 1.36  2002/05/28 23:45:54  djrzulf
- corrected Source,

Revision 1.35  2002/04/25 16:09:33  arturs
fixed a small typo

Revision 1.34  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/08 12:20:05  qboosh
- changed URLs to working ones

Revision 1.31  2002/01/18 02:12:39  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.30  2001/11/27 19:59:59  blues
- typos fixed

Revision 1.29  2001/11/21 15:40:37  qboosh
- adapterized, pl descriptions

Revision 1.28  2001/05/19 05:12:49  kloczek
- release 10: added tcl to Require list in tcl subpackage.

Revision 1.27  2001/05/10 16:55:21  misiek
- do the same thing for libdb_cxx.la

Revision 1.26  2001/05/10 16:33:37  qboosh
- added old_library name to libtool script (needed for static linking)
- release 9

Revision 1.25  2001/05/02 11:30:11  wiget
make libtool happy; release 8

Revision 1.24  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.23  2001/04/13 23:04:17  kloczek
- pl Summary.

Revision 1.22  2001/04/13 21:56:02  baggins
- release 7
- fixed docs

Revision 1.21  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.20  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.19  2000/12/14 16:42:15  baggins
- release 6
- use RPM_OPT_FLAGS

Revision 1.18  2000/12/08 08:51:53  kloczek
- release 5: merge RH patches with POSIX mutex support.

Revision 1.17  2000/11/17 08:11:42  kloczek
- release 4: rebuild against tcl 8.3.2.

Revision 1.16  2000/10/22 22:21:31  baggins
- release 3
- added libdb.a to static package

Revision 1.15  2000/10/20 20:01:29  kloczek
- use new rpm automation and few cosmetics.

Revision 1.14  2000/10/10 16:32:21  wiget
buildrequires: glibc-static

Revision 1.13  2000/09/26 16:30:53  baggins
- updated to 3.1.17
- added libdb.so and libndbm links
- moved headers from %%{_includedir}/db3 to %{__includedir}
- patch cleanup

Revision 1.12  2000/09/04 18:14:51  kloczek
- release 3.

Revision 1.11  2000/09/02 12:34:53  misiek
- BuildRequires: tcl-devel

Revision 1.10  2000/08/02 15:24:20  wiget
release 2

Revision 1.9  2000/08/02 15:22:48  wiget
- added patch from sleepy cat
- separated TCL library

Revision 1.8  2000/08/01 21:58:46  kloczek
- spec adapterized.

Revision 1.7  2000/08/01 15:10:22  baggins
- a really big cleanup

Revision 1.6  2000/07/18 13:33:52  baggins
- adapterized version of rawhide spec

* Sun Jun 11 2000 Jeff Johnson <jbj@redhat.com>
- upgrade to 3.1.14.
- create db3-utils sub-package to hide tcl dependency, enable tcl Yet Again.
- FHS packaging.

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- disable tcl Yet Again, base packages cannot depend on libtcl.so.

* Sat Jun  3 2000 Jeff Johnson <jbj@redhat.com>
- enable tcl, rebuild against tcltk 8.3.1 (w/o pthreads).

* Tue May 30 2000 Matt Wilson <msw@redhat.com>
- include /lib/libdb.so in the devel package

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- put in "System Environment/Libraries" per msw instructions.

* Tue May  9 2000 Jeff Johnson <jbj@redhat.com>
- install shared library in /lib, not /usr/lib.
- move API docs to db3-devel.

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- don't rename db_* to db3_*.

* Tue May  2 2000 Jeff Johnson <jbj@redhat.com>
- disable --enable-test --enable-debug_rop --enable-debug_wop.
- disable --enable-posixmutexes --enable-tcl as well, to avoid glibc-2.1.3
  problems.

* Mon Apr 24 2000 Jeff Johnson <jbj@redhat.com>
- add 3.0.55.1 alignment patch.
- add --enable-posixmutexes (linux threads has not pthread_*attr_setpshared).
- add --enable-tcl (needed -lpthreads).

* Sat Apr  1 2000 Jeff Johnson <jbj@redhat.com>
- add --enable-debug_{r,w}op for now.
- add variable to set shm perms.

* Sat Mar 25 2000 Jeff Johnson <jbj@redhat.com>
- update to 3.0.55

* Tue Dec 29 1998 Jeff Johnson <jbj@redhat.com>
- Add --enable-cxx to configure.

* Thu Jun 18 1998 Jeff Johnson <jbj@redhat.com>
- Create.
